package com.chenyang.nse.bussiness.engine.infa.powercenter961.transferdata;

import com.chenyang.nse.bussiness.engine.infa.basic.xmlbean.SOURCE;
import java.util.List;

public class Sourceutil {
   public SOURCE getSource(String dbtype, String dbname, String sourcename, String ownername, List<String> keytype, List<String> nameList, List<String> typeList, List<String> lengthList, List<String> scalelist, List<String> precisionlist) {
      SOURCE source = new SOURCE();
      ProcessXmlInfoUtil util = new ProcessXmlInfoUtil();

      try {
         source = util.getSourceXml(dbtype, dbname, sourcename, ownername, keytype, nameList, typeList, lengthList, scalelist, precisionlist);
      } catch (Exception e) {
         e.printStackTrace();
      }

      return source;
   }
}
